# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "brink-db"
version = "0.0.9"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Incremental project database for inkle's ink narrative scripting language"
readme = "README.md"
keywords = [
    "ink",
    "narrative",
    "compiler",
    "interactive-fiction",
]
categories = [
    "compilers",
    "game-development",
]
license = "MIT"
repository = "https://github.com/syynth/brink"
resolver = "2"

[lib]
name = "brink_db"
path = "src/lib.rs"

[dependencies.brink-ir]
version = "0.0.9"

[dependencies.brink-syntax]
version = "0.0.9"

[dependencies.rowan]
version = "0.16.1"

[dependencies.thiserror]
version = "2"

[dependencies.tracing]
version = "0.1"

[lints.clippy]
allow_attributes = "warn"
clone_on_ref_ptr = "deny"
dbg_macro = "deny"
exit = "deny"
expect_used = "deny"
implicit_clone = "deny"
missing_errors_doc = "allow"
missing_panics_doc = "allow"
module_name_repetitions = "allow"
multiple_crate_versions = "allow"
must_use_candidate = "allow"
panic = "deny"
print_stderr = "deny"
print_stdout = "deny"
rest_pat_in_fully_bound_structs = "warn"
todo = "deny"
undocumented_unsafe_blocks = "deny"
unwrap_used = "deny"
verbose_file_reads = "warn"
wildcard_dependencies = "deny"

[lints.clippy.cargo]
level = "warn"
priority = -1

[lints.clippy.pedantic]
level = "warn"
priority = -1

[lints.rust]
trivial_casts = "deny"
trivial_numeric_casts = "deny"
unsafe_code = "deny"
